.btn-plain,
.mini-card,
.color-base,
.drop-color-base a,
.page-item .page-link,
.mini-card .card-content .text,
.list-group-btns .btn-group-vertical button,
.list-group-links .list-group .list-group-item:not(.custom-fa-stack) span,
.list-group-links .list-group .list-group-item.custom-fa-stack span:nth-child(2),
.custom-checkbox.setting .custom-control-input:checked~.custom-label-block .cp-control-label p::after,
.custom-checkbox.setting .custom-control-input~.custom-label-block .cp-control-label p span:last-child,
.custom-radio .custom-control-input:checked~.custom-label-block .cp-control-label p::after,
.custom-radio .custom-control-input~.custom-label-block .cp-control-label p span:last-child,
.custom-file-label::after {
  color: #737373;
}

.color-base-bg {
	background-color: #737373 !important;
}

.color-borders,
.mini-card .card-content .title,
.page-item.disabled .page-link,
.page-item.disabled .page-link i {
	color: #D8D8D8 !important;
}

hr,
.col-border-top,
.col-border-bottom,
.list-line-check,
.list-line-numbers{
  border-color: #D8D8D8 !important;
}

.pressed-btn,
.color-borders-bg {
	background-color: #D8D8D8 !important;
}

/* special, because doesn't work in group */
input::-moz-placeholder{
  color: #B9B9B9 !important;
  opacity: 1;
}
input::placeholder{
  color: #B9B9B9 !important;
  opacity: 1;
}
input::-webkit-input-placeholder{
  color: #B9B9B9 !important;
}
input:-ms-input-placeholder{
  color: #B9B9B9 !important;
}
input::-ms-input-placeholder{
  color: #B9B9B9 !important;
}

/* special, because doesn't work in group */
textarea::-moz-placeholder{
  color: #B9B9B9 !important;
  opacity: 1;
}
textarea::placeholder{
  color: #B9B9B9 !important;
  opacity: 1;
}
textarea::-webkit-input-placeholder{
  color: #B9B9B9 !important;
}
textarea:-ms-input-placeholder{
  color: #B9B9B9 !important;
}
textarea::-ms-input-placeholder{
  color: #B9B9B9 !important;
}

.color-selected,
.color-placeholder,
#sidebar .sidebar-main .sidebar-body .list-group > .list-group-item,
#sidebar .sidebar-footer .list-group > .list-group-item,
#sidebar .list-group .collapse .list-group-item,
#sidebar .list-group .collapsing .list-group-item,
#sidebar .sidebar-main .sidebar-body .list-group.admin div.list-group-item {
	color: #B9B9B9 !important;
}

.color-selected-bg,
.color-placeholder-bg{
	background-color: #B9B9B9 !important;
}

.color-container {
	color: #F2F2F2 !important;
}

.alert-gray,
.btn-default,
.list-group-btns .btn-group-vertical button,
.custom-radio .custom-control-input:checked~.custom-label-block,
.custom-checkbox.setting .custom-control-input:checked~.custom-label-block,
.custom-file-label::after,
.color-disabled-bg,
.list-line-check .list-group-item:nth-of-type(odd),
.list-line-numbers .list-group-item:nth-of-type(odd) {
  background-color: #F2F2F2 !important;
}

.color-container-bg {
	background-color: rgba(0, 0, 0, 0.05) !important;
}

.btn-dialer-call,
.highlight,
.color-white,
.btn-contract,
.btn-main,
.btn-transparent,
.btn-main-warning,
#sidebar .list-group .collapse.show > .list-group-item.active,
#sidebar .sidebar-main .sidebar-header .list-group > .list-group-item,
.list-group-btns .btn-group-vertical button:hover,
.list-group-btns .btn-group-vertical button:active,
.list-group-btns .btn-group-vertical button:focus,
.list-group-btns .btn-group-vertical button:not(:disabled):not(.disabled).active,
#sidebar .sidebar-main .sidebar-body .list-group > .list-group-item.active,
#sidebar .sidebar-main .sidebar-body .list-group > .list-group-item:not(.collapsed),
#sidebar .sidebar-footer .list-group > .list-group-item.active,
#sidebar .sidebar-footer .list-group > .list-group-item:not(.collapsed),
.main-nav .navbar-text,
.main-nav .navbar-subtext{
	color: #FFF !important;
}

.mini-card,
.btn-white,
.btn-plain,
.btn-revert,
.btn-revert-white,
.color-white-bg,
.btn-plain-error {
	background-color: #FFF !important;
}

.btn-transparent{
  background-color: transparent !important;
}

.color-contract-bg,
.btn-contract{
  background-color: #F5A623 !important;
}

.color-cta,
.color-accent,
.btn-revert,
.btn-revert-white,
.page-item .page-link i,
.custom-checkbox.setting .custom-control-input:checked~.custom-label-block .cp-control-label p span:last-child,
.custom-checkbox.setting .custom-control-input:checked~.cp-single-label,
.custom-radio .custom-control-input:checked~.custom-label-block .cp-control-label p span:last-child,
.custom-radio .custom-control-input:checked~.cp-single-label {
	color: #2696F1 !important;
}

.color-cta-svg{
  filter: invert(46%) sepia(99%) saturate(2421%) hue-rotate(188deg) brightness(103%) contrast(89%);
}

.btn-main,
.highlight,
.color-cta-bg,
.color-accent-bg,
.page-item.active .page-link,
.list-group-btns .btn-group-vertical button:hover,
.list-group-btns .btn-group-vertical button:active,
.list-group-btns .btn-group-vertical button:focus,
.list-group-btns .btn-group-vertical button:not(:disabled):not(.disabled).active,
.custom-checkbox.setting .custom-control-input:checked~.cp-single-label::before,
.custom-radio .custom-control-input:checked~.cp-single-label::before,
.custom-control-input:checked~.cp-single-label::before {
	background-color: #2696F1 !important;
}

.list-group-links .list-group .list-group-item.custom-fa-stack.active span:nth-child(2),
.list-group-links .list-group .list-group-item:not(.custom-fa-stack).active span{
  color: #2CA0F3;
}

.color-main {
	color: #005AA8 !important;
}

.main-nav,
.color-nav-header-bg,
.color-sidebar-active,
#sidebar .list-group .list-group-item:before {
	background-color: #005AA8 !important;
}

.color-sort-bg{
  background-color: #003E73 !important;
}

.color-green-CD {
	color: #A3D23A !important;
}

.btn-dialer-call,
.color-green-CD-bg {
	background-color: #A3D23A !important;
}

.color-inactive,
.color-player-loaded {
	color: #BADFFB !important;
}

.alert-selected{
  background-color: #DAEFFF !important;
}

.list-line-check .list-group-item.active,
.list-line-numbers .list-group-item.active{
  background-color: #BADFFB !important;
}

.list-group-links .list-group .list-group-item.active{
  background-color: #BADFFB;
}

.list-line-check .list-group-item.active,
.list-line-numbers .list-group-item.active,
.list-group-links .list-group .list-group-item.active{
  border-color: #BADFFB;
}

.color-inactive-bg,
.color-player-loaded-bg{
	background-color: rgba(186, 223, 251, 1) !important;
}

.color-sidebar {
	color: #36424D !important;
}

.color-sidebar-bg,
#sidebar,
#sidebar .sidebar-footer .list-group > .list-group-item,
#sidebar .sidebar-main .sidebar-body .list-group > .list-group-item,
#sidebar .sidebar-main .sidebar-body .list-group.admin div.list-group-item{
	background-color: #36424D !important;
}

.color-sidebar-header {
	color: #475766 !important;
}

#sidebar .sidebar-main .sidebar-header,
#sidebar .sidebar-main .sidebar-header .list-group > .list-group-item{
	background-color: #475766 !important;
}

.color-sidebar-active {
	color: #1A2633 !important;
}

.color-sidebar-active-bg,
#sidebar .list-group .collapse .list-group-item,
#sidebar .list-group .collapsing .list-group-item,
#sidebar .sidebar-main .sidebar-header .list-group > .list-group-item:not(.collapsed),
#sidebar .sidebar-main .sidebar-body .list-group > .list-group-item:not(.collapsed),
#sidebar .sidebar-main .sidebar-body .list-group > .list-group-item.active,
#sidebar .sidebar-footer .list-group > .list-group-item:not(.collapsed),
#sidebar .sidebar-footer .list-group > .list-group-item.active{
	background-color: #1A2633 !important;
}

.list-group-btns .btn-group-vertical button:hover,
.list-group-btns .btn-group-vertical button:active,
.list-group-btns .btn-group-vertical button:focus,
.list-group-btns .btn-group-vertical button:not(:disabled):not(.disabled).active{
  box-shadow: inset 0 2px 0 0 #0B67D9 !important;
}

.alert-error,
.btn-plain-error,
.color-error{
  color: #BF3E39 !important;
}

input.br-error {
  border-color: #BF3E39;
}

.color-danger-bg,
.btn-main-warning{
  background-color: #BF3E39 !important;
}

.alert-error,
.color-error-bg,
.is-invalid{
  background-color: #FFEFEF !important;
}

.alert-warning{
  background-color: #FCF8E3;
  color: #C09853;
}

/* sidebar color effect */
#sidebar .list-group .list-group-item:hover{
  z-index: 0;
}

#sidebar .list-group .list-group-item:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
}

#sidebar .list-group > .list-group-item:hover:before,
#sidebar .list-group > .list-group-item.active:before,
#sidebar .list-group .collapse.show > .list-group-item.active:before,
#sidebar .list-group .collapse.show > .list-group-item:hover:before {
  width: 15px;
}

#sidebar .list-group .list-group-item:before,
#sidebar .list-group > .list-group-item:not(.collapsed):before{
  width: 0px;
}

#sidebar .list-group .list-group-item:before,
#sidebar .list-group > .list-group-item:not(.collapsed):before,
#sidebar .list-group > .list-group-item:hover:before,
#sidebar .list-group > .list-group-item.active:before,
#sidebar .list-group .collapse.show > .list-group-item.active:before,
#sidebar .list-group .collapse.show > .list-group-item:hover:before{
  -webkit-transition: width 0.2s ease;
  -moz-transition: width 0.2s ease;
  -o-transition: width 0.2s ease;
  transition: width 0.2s ease;
}



@media (hover:none), (hover:on-demand) {
  #sidebar .list-group > .list-group-item:hover:before,
  #sidebar .list-group .collapse.show > .list-group-item:hover:before,
  #sidebar .list-group .collapse.show > .list-group-item:active:before,
  #sidebar .list-group .collapse.show > .list-group-item:focus:before{
    -webkit-transition: width 0.2s ease;
    -moz-transition: width 0.2s ease;
    -o-transition: width 0.2s ease;
    transition: width 0.2s ease;
  }

  #sidebar .list-group > .list-group-item:hover:before,
  #sidebar .list-group .collapse.show > .list-group-item:hover:before {
    width: 0px;
  }

  #sidebar .list-group .collapse.show > .list-group-item:active:before,
  #sidebar .list-group .collapse.show > .list-group-item:focus:before {
    width: 15px;
  }

}

.color-status-green {
  color: #99cc33;
}

.color-status-yellow {
  color: #ff9900;
}

.color-status-red {
  color: #c50000;
}

.color-status-blue {
  color: #0770CD;
}

.color-status-all {
  color: #003E73;
}

.color-demo-base{
  color: #3C4045;
}

.color-demo-base-bg{
  background-color: #3C4045;
}

.color-blue-bg{
  background-color: #DAEFFF;
}
